Various UI Updates: part two
Status: Closed Start date: 09/12/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0   

Description

Subtasks:

Feature # 2059: Add about modal dialog Closed

Feature # 2060: Add library quick view dialog Closed

Related issues:

Related to TextCritical.net - Feature #2022: Various UI Updates Closed 08/25/2017

Associated revisions

Revision 792 - 09/11/2017 07:09 PM - lukemurphey

Refreshing the UI to remove the breadcrumbs, the about page, show the library on the home page

Reference #2045

Revision 807 - 09/11/2017 07:09 PM - lukemurphey

Refreshing the UI to remove the breadcrumbs, the about page, show the library on the home page

Reference #2045

Revision 795 - 09/12/2017 12:14 AM - lukemurphey

Converting works list to use riot

Reference #2045

Revision 810 - 09/12/2017 12:14 AM - lukemurphey

Converting works list to use riot

Reference #2045

Revision 797 - 09/12/2017 12:17 AM - lukemurphey

Updating works list to include optional alternative rendering

Reference #2045

Revision 812 - 09/12/2017 12:17 AM - lukemurphey

Updating works list to include optional alternative rendering
Reference #2045

History

#1 - 09/05/2017 04:59 AM - Luke Murphey

- Related to Feature #2022: Various UI Updates added

#2 - 09/05/2017 05:00 AM - Luke Murphey

Replace about with a modal

Replace contact with a modal

Remove breadcrumbs

Remove copyright from printable document

Add library quick view dialog

Should include an informational section too

#3 - 09/06/2017 09:47 PM - Luke Murphey

- File updated_read_dialog.png added

<div class="modal-body" id="popup-dialog-content">

    <div class="work-image-holder pull-left" style=" 

    margin-right: 20px;

">

        <img class="work-image" src="/work_image/ajax?width=200">

    </div>

<div class="work-info">

    <div class="work-info-holder">

        <table>

            <tbody>

                <tr>

                    <td><strong>Title</strong></td>

                    <td>Ajax</td>

                </tr>

                <tr>

                    <td><strong>Language</strong></td>

                    <td>Greek</td>

                </tr>

                    <tr>

                        <td><strong>Author</strong></td>

                        <td>Sophocles</td>

                    </tr>

                <tr>

                    <td><strong>Editor</strong></td>

                    <td>Sir Richard Jebb</td>

                </tr>

            </tbody>

        </table>

    </div>

</div>

Sophocles' Ajax, or Aias ( or ; Ancient Greek: Αἴας [a͜í.aːs], gen. Αἴαντος), is a Greek tragedy written in th

e 5th century BCE. Ajax may be the earliest of Sophocles' seven tragedies to have survived, though it is proba

ble that he had been composing plays for a quarter of a century already when it was first staged. It appears t

o belong to the same period as his Antigone, which was probably performed in 442 or 441 BCE, when he was 55 ye

ars old. The play depicts the fate of the warrior Ajax, after the events of the Iliad but before the end of th

e Trojan War.

</div>
#4 - 09/06/2017 09:48 PM - Luke Murphey

- File deleted (updated_read_dialog.png)

#5 - 09/06/2017 09:49 PM - Luke Murphey

- File updated_read_dialog.png added

 

#6 - 09/12/2017 11:35 PM - Luke Murphey

Need to disable responsive navbar: https://github.com/twbs/bootstrap/issues/2112
#7 - 10/05/2018 05:41 PM - Luke Murphey

- Status changed from New to Closed

- Assignee set to Luke Murphey

Files

updated_read_dialog.png 262 KB 09/06/2017 Luke Murphey
